<?php

function supermarket_shopping_footer( $wp_customize ) {
	$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	// Footer Panel // 
	$wp_customize->add_panel( 
		'supermarket_shopping_footer_section', 
		array(
			'priority'      => 34,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Footer Options', 'supermarket-shopping'),
		) 
	);

	// Footer Widgets // 
	$wp_customize->add_section(
        'supermarket_shopping_footer_top',
        array(
            'title' 		=> __('Footer Widgets','supermarket-shopping'),
			'panel'  		=> 'supermarket_shopping_footer_section',
			'priority'      => 3,
		)
    );

    // Footer Widgets Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'supermarket_shopping_footer_widgets_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'supermarket_shopping_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'supermarket_shopping_footer_widgets_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Footer Widgets', 'supermarket-shopping' ),
			'section'     => 'supermarket_shopping_footer_top',
			'settings'    => 'supermarket_shopping_footer_widgets_setting',
			'type'        => 'checkbox'
		) 
	);

	// Footer Background Image Setting
	$wp_customize->add_setting('supermarket_shopping_footer_bg_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'supermarket_shopping_footer_bg_image',array(
	'label' => __('Footer Background Image','supermarket-shopping'),
	'section' => 'supermarket_shopping_footer_top'
	)));

	// Footer Background Image Opacity
	$wp_customize->add_setting('supermarket_shopping_footer_bg_image_opacity', array(
		'default'           => 50,
		'sanitize_callback' => 'absint',
		'capability'        => 'edit_theme_options',
	));

	$wp_customize->add_control('supermarket_shopping_footer_bg_image_opacity', array(
		'label'    => __('Footer Background Image Opacity (%)', 'supermarket-shopping'),
		'section'  => 'supermarket_shopping_footer_top',
		'type'     => 'range',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		),
	));

	// Footer Background Color Setting
    $wp_customize->add_setting('supermarket_shopping_footer_bg_color',array(
		'default' => '#000000',
		'sanitize_callback' => 'sanitize_hex_color',
		'capability' => 'edit_theme_options',
	));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'supermarket_shopping_footer_bg_color',array(
		'label' => esc_html__('Footer Background Color', 'supermarket-shopping'),
		'section' => 'supermarket_shopping_footer_top',
		'settings' => 'supermarket_shopping_footer_bg_color',
	)));

	$wp_customize->add_setting( 'supermarket_shopping_upgrade_page_settings_33',
	array(
		'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Supermarket_Shopping_Control_Upgrade(
		$wp_customize, 'supermarket_shopping_upgrade_page_settings_33',
			array(
				'priority'      => 200,
				'section'       => 'supermarket_shopping_footer_top',
				'settings'      => 'supermarket_shopping_upgrade_page_settings_33',
				'label'         => __( 'Supermarket Shopping Pro comes with additional features.', 'supermarket-shopping' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'supermarket-shopping' ), __( 'One-Click Demo Import', 'supermarket-shopping' ), __( 'WooCommerce Integrated', 'supermarket-shopping' ), __( 'Drag & Drop Section Reordering', 'supermarket-shopping' ),__( 'Advanced Typography Control', 'supermarket-shopping' ),__( 'Intuitive Customization Options', 'supermarket-shopping' ),__( '24/7 Support', 'supermarket-shopping' ), )
			)
		)
	); 

	// Footer Bottom // 
	$wp_customize->add_section(
        'supermarket_shopping_footer_bottom',
        array(
            'title' 		=> __('Footer Bottom','supermarket-shopping'),
			'panel'  		=> 'supermarket_shopping_footer_section',
			'priority'      => 3,
		)
    );

	// Site Title Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'supermarket_shopping_footer_copyright_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'supermarket_shopping_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'supermarket_shopping_footer_copyright_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Footer Copytight', 'supermarket-shopping' ),
			'section'     => 'supermarket_shopping_footer_bottom',
			'settings'    => 'supermarket_shopping_footer_copyright_setting',
			'type'        => 'checkbox'
		) 
	);
	
	// Footer Copyright 
	$wp_customize->add_setting(
    	'supermarket_shopping_footer_copyright',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);

	$wp_customize->add_control( 
		'supermarket_shopping_footer_copyright',
		array(
		    'label'   		=> __('Edit Copyright Text','supermarket-shopping'),
		    'section'		=> 'supermarket_shopping_footer_bottom',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting( 'supermarket_shopping_footer_copyright_text_color', array(
	    'default' => '',
	    'sanitize_callback' => 'sanitize_hex_color'
  	));
  	$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'supermarket_shopping_footer_copyright_text_color', array(
			'label'     => __('Change Footer Copyright Text Color', 'supermarket-shopping'),
	    'section' => 'supermarket_shopping_footer_bottom',
	    'settings' => 'supermarket_shopping_footer_copyright_text_color',
  	)));

	$wp_customize->add_setting( 'supermarket_shopping_copyright_alignment', array(
        'default'   => 'center',
        'sanitize_callback' => 'supermarket_shopping_sanitize_copyright_position',
    ));

    $wp_customize->add_control( 'supermarket_shopping_copyright_alignment', array(
        'label'    => __( 'Copyright Position', 'supermarket-shopping' ),
        'section'  => 'supermarket_shopping_footer_bottom',
        'settings' => 'supermarket_shopping_copyright_alignment',
        'type'     => 'radio',
        'choices'  => array(
            'right' => __( 'Right Align', 'supermarket-shopping' ),
            'left'  => __( 'Left Align', 'supermarket-shopping' ),
            'center'  => __( 'Center Align', 'supermarket-shopping' ),
        ),
    ));

    //footer widget title font size
	$wp_customize->add_setting('supermarket_shopping_footer__bottom_copyright_text_font_size',array(
		'default'	=> '',
		'sanitize_callback'	=> 'supermarket_shopping_sanitize_number_absint'
	));
	$wp_customize->add_control('supermarket_shopping_footer__bottom_copyright_text_font_size',array(
		'label'	=> __('Change Footer Copyright Text Font Size in PX','supermarket-shopping'),
		'section'	=> 'supermarket_shopping_footer_bottom',
	    'setting'	=> 'supermarket_shopping_footer__bottom_copyright_text_font_size',
		'type'	=> 'number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 50,
		),
	)); 
	$wp_customize->add_setting('supermarket_shopping_footer__bottom_copyright_text_top_bottom_padding',array(
			'default'	=> '',
			'sanitize_callback'	=> 'supermarket_shopping_sanitize_number_absint'
	));
	$wp_customize->add_control('supermarket_shopping_footer__bottom_copyright_text_top_bottom_padding',array(
		'label'	=> __('Change Footer Copyright Top Bottom Spacing in PX','supermarket-shopping'),
		'section'	=> 'supermarket_shopping_footer_bottom',
	    'setting'	=> 'supermarket_shopping_footer__bottom_copyright_text_top_bottom_padding',
		'type'	=> 'number',
		'input_attrs' => array(
			'step'             => 1,
			'min'              => 0,
			'max'              => 50,
		),
	));


	$wp_customize->add_setting( 'supermarket_shopping_upgrade_page_settings_122',
	array(
		'sanitize_callback' => 'sanitize_text_field'
		)
	);
	$wp_customize->add_control( new Supermarket_Shopping_Control_Upgrade(
		$wp_customize, 'supermarket_shopping_upgrade_page_settings_122',
			array(
				'priority'      => 200,
				'section'       => 'supermarket_shopping_footer_bottom',
				'settings'      => 'supermarket_shopping_upgrade_page_settings_122',
				'label'         => __( 'Supermarket Shopping Pro comes with additional features.', 'supermarket-shopping' ),
				'choices'       => array( __( '15+ Ready-Made Sections', 'supermarket-shopping' ), __( 'One-Click Demo Import', 'supermarket-shopping' ), __( 'WooCommerce Integrated', 'supermarket-shopping' ), __( 'Drag & Drop Section Reordering', 'supermarket-shopping' ),__( 'Advanced Typography Control', 'supermarket-shopping' ),__( 'Intuitive Customization Options', 'supermarket-shopping' ),__( '24/7 Support', 'supermarket-shopping' ), )
			)
		)
	); 
}
add_action( 'customize_register', 'supermarket_shopping_footer' );

// Footer selective refresh
function supermarket_shopping_footer_partials( $wp_customize ){
	// footer_copyright
	$wp_customize->selective_refresh->add_partial( 'footer_copyright', array(
		'selector'            => '.copy-right .copyright-text',
		'settings'            => 'footer_copyright',
		'render_callback'  => 'supermarket_shopping_footer_copyright_render_callback',
	) );
}
add_action( 'customize_register', 'supermarket_shopping_footer_partials' );

// copyright_content
function supermarket_shopping_footer_copyright_render_callback() {
	return get_theme_mod( 'footer_copyright' );
}